### Enumeration

# Snapd FindFlags

since: 1.0

#### Declaration

    flags Snapd.FindFlags

#### Description [src]

Flag to change how a find is performed.

Available since: 1.0

#### Members

`SNAPD_FIND_FLAGS_NONE`

  No flags, default behaviour.

  - Value: `0`
  - Available since: 1.0
`SNAPD_FIND_FLAGS_MATCH_NAME`

  Search for snaps whose name matches the given string. The match is exact unless the string ends in *.

  - Value: `1`
  - Available since: 1.0
`SNAPD_FIND_FLAGS_SELECT_PRIVATE`

  Search private snaps.

  - Value: `2`
  - Available since: 1.0
`SNAPD_FIND_FLAGS_SELECT_REFRESH`

  Deprecated, do not use.

  - Value: `4`
  - Available since: 1.0
`SNAPD_FIND_FLAGS_SCOPE_WIDE`

  Search for snaps from any architecture or branch.

  - Value: `8`
  - Available since: 1.0
`SNAPD_FIND_FLAGS_MATCH_COMMON_ID`

  Search for snaps whose common ID matches the given string.

  - Value: `16`
  - Available since: 1.0